package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;


public enum BannersStatus {
	
	HOME( "home","首页"),
	MAKEMONEY( "makeMoney","赚钱首页"),
	OTHER( "other","其他");

	private BannersStatus(String key, String desc) {
		this.key = key;
		this.desc = desc;
	}

	private static Map<String, BannersStatus> status = new HashMap<String, BannersStatus>();

	static {
		for (BannersStatus value : BannersStatus.values()) {
			status.put(value.getKey(), value);
		}
	}

	

	public static boolean containsType(String	key) {
		return status.containsKey(key);
	}

	private String	key;
	private String	desc;

	public String getKey() {
		return key;
	}

	public String getDesc() {
		return desc;
	}

}
